Page MenuHomePhabricator

Unknown error: "badparams"
Closed, ResolvedPublic

Event Timeline

matmarex created this task.Aug 16 2016, 6:00 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 16 2016, 6:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex triaged this task as Normal priority.

There is a slow but constant trickle of people hitting this issue in our logs.

mysql:research@dbstore1002.eqiad.wmnet [log]> select left(timestamp,8), count(*) from UploadWizardErrorFlowEvent_117727
25 where event_code='badparams' group by left(timestamp,8);
+-------------------+----------+
| left(timestamp,8) | count(*) |
+-------------------+----------+
| 20160623          |        5 |
| 20160624          |        2 |
| 20160625          |        3 |
| 20160626          |       11 |
| 20160627          |        4 |
| 20160628          |        9 |
| 20160629          |       22 |
| 20160630          |       18 |
| 20160701          |        9 |
| 20160703          |        1 |
| 20160704          |        7 |
| 20160705          |        8 |
| 20160706          |        2 |
| 20160707          |       13 |
| 20160708          |       11 |
| 20160709          |        9 |
| 20160710          |        3 |
| 20160711          |        5 |
| 20160712          |        1 |
| 20160713          |        3 |
| 20160715          |        6 |
| 20160716          |        5 |
| 20160717          |        1 |
| 20160718          |        4 |
| 20160719          |        6 |
| 20160721          |        3 |
| 20160722          |        3 |
| 20160723          |        3 |
| 20160724          |        1 |
| 20160725          |        9 |
| 20160726          |        9 |
| 20160727          |        3 |
| 20160728          |        7 |
| 20160729          |        1 |
| 20160730          |        3 |
| 20160731          |       11 |
| 20160801          |        2 |
| 20160802          |       13 |
| 20160803          |        5 |
| 20160804          |        1 |
| 20160805          |        1 |
| 20160806          |        2 |
| 20160807          |        8 |
| 20160808          |        9 |
| 20160809          |        4 |
| 20160810          |        2 |
| 20160811          |        1 |
| 20160813          |        8 |
| 20160814          |        3 |
| 20160815          |        7 |
+-------------------+----------+
50 rows in set (2.20 sec)

The errors start appearing on 20160623 – I don't think it was a regression, but rather we were not logging them before 35d0724e0dcc5abf8ac7a7222b81019c48d05abf.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 17 2016, 10:31 AM

(The API error message is always "Cannot supply a filekey when offset is 0".)

Change 305218 had a related patch set uploaded (by Bartosz Dziewoński):
mw.FormDataTransport: Don't set filekey with offset=0 when retrying

https://gerrit.wikimedia.org/r/305218

Change 305218 merged by jenkins-bot:
mw.FormDataTransport: Don't set filekey with offset=0 when retrying

https://gerrit.wikimedia.org/r/305218

matmarex closed this task as Resolved.Aug 18 2016, 4:51 PM
matmarex removed a project: Patch-For-Review.